## org.apache.xerces.impl.xs.identity
Class Field.XPath

    java.lang.Object
      org.apache.xerces.impl.xpath.XPath
          org.apache.xerces.impl.xs.identity.Field.XPath

Enclosing class:
  Field

public static class Field.XPath
extends XPath

Field XPath.

Author:
  Andy Clark, IBM

Nested Class Summary

Nested classes inherited from class org.apache.xerces.impl.xpath.XPath
`XPath.Axis, XPath.LocationPath, XPath.NodeTest, XPath.Step`

Field Summary

Fields inherited from class org.apache.xerces.impl.xpath.XPath
`fExpression, fLocationPaths, fSymbolTable`

Constructor Summary
`Field.XPath(java.lang.String xpath, SymbolTable symbolTable, org.apache.xerces.xni.NamespaceContext context)` Constructs a field XPath expression.

Methods inherited from class org.apache.xerces.impl.xpath.XPath
`getLocationPath, getLocationPaths, main, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Field.XPath

    public Field.XPath(java.lang.String xpath,
                       SymbolTable symbolTable,
                       org.apache.xerces.xni.NamespaceContext context)
                throws XPathException

  Constructs a field XPath expression.

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.